Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3851)
@@ -2110,52 +1658,8 @@
        ALLOCATE(masque_aqua(klon))  
        ALLOCATE(masque_terra(klon))  
-!       ALLOCATE(aod550_aqua(klon))  
-!       ALLOCATE(aod550_terra(klon))  
-!       ALLOCATE(aod670_aqua(klon))  
-!       ALLOCATE(aod670_terra(klon))  
-!       ALLOCATE(aod865_aqua(klon))  
-!       ALLOCATE(aod865_terra(klon)) 
-
-      ALLOCATE( aod550_terra(klon))  
-      ALLOCATE( aod550_tr2_terra(klon))  
-      ALLOCATE( aod550_ss_terra(klon))   
-      ALLOCATE( aod550_dust_terra(klon))   
-      ALLOCATE( aod550_dustsco_terra(klon))   
-      ALLOCATE( aod670_terra(klon))   
-      ALLOCATE( aod670_tr2_terra(klon))  
-      ALLOCATE( aod670_ss_terra(klon))  
-      ALLOCATE( aod670_dust_terra(klon))  
-      ALLOCATE( aod670_dustsco_terra(klon))  
-      ALLOCATE( aod865_terra(klon))   
-      ALLOCATE( aod865_tr2_terra(klon))  
-      ALLOCATE( aod865_ss_terra(klon))  
-      ALLOCATE( aod865_dust_terra(klon))  
-      ALLOCATE( aod865_dustsco_terra(klon))  
-
-      ALLOCATE( aod550_aqua(klon))  
-      ALLOCATE( aod550_tr2_aqua(klon))  
-      ALLOCATE( aod550_ss_aqua(klon))   
-      ALLOCATE( aod550_dust_aqua(klon))   
-      ALLOCATE( aod550_dustsco_aqua(klon))   
-      ALLOCATE( aod670_aqua(klon))   
-      ALLOCATE( aod670_tr2_aqua(klon))  
-      ALLOCATE( aod670_ss_aqua(klon))  
-      ALLOCATE( aod670_dust_aqua(klon))  
-      ALLOCATE( aod670_dustsco_aqua(klon))  
-      ALLOCATE( aod865_aqua(klon))   
-      ALLOCATE( aod865_tr2_aqua(klon))  
-      ALLOCATE( aod865_ss_aqua(klon))  
-      ALLOCATE( aod865_dust_aqua(klon))  
-      ALLOCATE( aod865_dustsco_aqua(klon))  
  
 
        masque_aqua(:)=0
        masque_terra(:)=0
-!       aod550_aqua(:)=0.
-!       aod550_terra(:)=0.
-!       aod670_aqua(:)=0.
-!       aod670_terra(:)=0.
-!       aod865_aqua(:)=0.
-!       aod865_terra(:)=0.
 
       aod550_terra(:)=0.  
@@ -2365,7 +1869,15 @@
 
 
-
-       IF (debutphy) then
-
+      IF (debutphy) then
+
+! AS: initialisation des indices par point de grille physique iregion_*
+! (variables tenant de l'assimilation, a eliminer dans un 2eme temps) 
+       iregion_dust(:)=1
+       iregion_ind(:)=1
+       iregion_bb(:)=1
+       iregion_wstardust(:)=1
+
+!AS: lecture des indices dans fichiers "regions_*" eliminee par IF("ASSIM"="YES") (faux donc)
+       IF("ASSIM"=="YES") THEN
       c_FullName1='regions_dustacc'
       !c_FullName1='regions_dust'
@@ -2450,8 +1962,11 @@
       CLOSE(76)
       CLOSE(77)
+      CLOSE(95)
 
       ENDIF ! mpi root
 !$OMP END MASTER
 !$OMP BARRIER
+
+      ENDIF  ! ASSIM 
 
       ENDIF  ! debutphy
@@ -3682,6 +3197,7 @@
 ! choix du lessivage
       IF (iflag_lscav .EQ. 3 .OR. iflag_lscav .EQ. 4) THEN
-      print *,'JE iflag_lscav',iflag_lscav
-       DO it = 1, nbtr
+      !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
+        print *,'JE iflag_lscav',iflag_lscav
+        DO it = 1, nbtr
 
 !       incloud scavenging and removal by large scale rain ! orig : ql_incl
@@ -3694,5 +3210,5 @@
 !     .               t_seri,tr_seri,d_tr_insc, 
 !     .               d_tr_bcscav,d_tr_evapls,qPrls)
-       CALL lsc_scav_spl(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,  &
+          CALL lsc_scav_spl(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,  &
                     rneb,beta_fisrt, beta_v1,pplay,paprs,      &
                     t_seri,tr_seri,d_tr_insc,                  &
@@ -3702,27 +3218,33 @@
 
 !large scale scavenging tendency
-       DO k = 1, klev
-        DO i = 1, klon
-         d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it) &
+          DO k = 1, klev
+           DO i = 1, klon
+                d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it) &
                         +d_tr_evapls(i,k,it)
-         tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
-          tmp_var(i,k)=d_tr_ls(i,k,it)
-        ENDDO
-       ENDDO
-
-       CALL kg_to_cm3(pplay,t_seri,tmp_var)
-         DO k=1,klev
-            DO i=1,klon
+                tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
+                         tmp_var(i,k)=d_tr_ls(i,k,it)
+           ENDDO
+          ENDDO
+
+          CALL kg_to_cm3(pplay,t_seri,tmp_var)
+
+          DO k=1,klev
+           DO i=1,klon
             his_dhkelsc(i,it)=his_dhkelsc(i,it)-tmp_var(i,k)    &
                      /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
      
-            END DO
-         END DO
-
-       END DO  !tr
+           END DO
+          END DO
+
+        END DO  !it=1,nbtr
+
       ELSE
-        his_dhkelsc(i,it)=0.0
         print *,'WARNING: NO lsc_scav, Please choose iflag_lscav=3 or 4'
-       ENDIF !iflag_lscav
+        DO it = 1, nbtr
+          DO i=1,klon
+            his_dhkelsc(i,it)=0.0
+          END DO  ! klon
+         END DO  !it=1,nbtr
+      ENDIF !iflag_lscav 
 
        print *,' AFTER lsc_scav '
@@ -3844,10 +3366,4 @@
        !new utc day: put in 0 everything
 !JE20150518<<
-!       aod550_aqua(:) =0.
-!       aod550_terra(:) =0.
-!       aod670_aqua(:) =0.
-!       aod670_terra(:) =0.
-!       aod865_aqua(:) =0.
-!       aod865_terra(:) =0.
        masque_aqua(:) =0
        masque_terra(:) =0
@@ -3886,10 +3402,4 @@
 
       DO i=1,klon
-!         aod550_aqua(i)=aod550_aqua(i)+   &
-!                       masque_aqua_cur(i)*diff_aod550_tot(i)
-!         aod670_aqua(i)=aod670_aqua(i)+   &
-!                        masque_aqua_cur(i)*diag_aod670_tot(i)
-!         aod865_aqua(i)=aod865_aqua(i)+   &
-!                       masque_aqua_cur(i)*diag_aod865_tot(i)
 
        aod550_terra(i)=aod550_terra(i)+   &
@@ -3956,11 +3466,6 @@
        aod865_dustsco_aqua(i)= aod865_dustsco_aqua(i) + &
                        masque_aqua_cur(i)*diag_aod865_dustsco(i)
-!         aod550_terra(i)=aod550_terra(i)+  &
-!                       masque_terra_cur(i)*diff_aod550_tot(i)
-!         aod670_terra(i)=aod670_terra(i)+  &
-!                       masque_terra_cur(i)*diag_aod670_tot(i)
-!         aod865_terra(i)=aod865_terra(i)+   &
-!                       masque_terra_cur(i)*diag_aod865_tot(i)
-         masque_aqua(i)=masque_aqua(i)+masque_aqua_cur(i)
+
+               masque_aqua(i)=masque_aqua(i)+masque_aqua_cur(i)
          masque_terra(i)=masque_terra(i)+masque_terra_cur(i)
       ENDDO
@@ -4035,68 +3540,16 @@
                    aod865_dustsco_terra(i)= -999.
                ENDIF
-!              IF (masque_terra(i).GT. 0) THEN
-!                   aod550_terra(i) = aod550_terra(i)/masque_terra(i)
-!                   aod670_terra(i)=aod670_terra(i)/masque_terra(i)
-!                   aod865_terra(i)=aod865_terra(i)/masque_terra(i)
-!
-!               ELSE
-!                   aod550_terra(i) = -999.
-!                   aod670_terra(i) = -999.
-!                   aod865_terra(i) = -999.
-!               ENDIF
           ENDDO          
-!      !write  dbg
-!       CALL writefield_phy("aod550_aqua",aod550_aqua,1) 
-!       CALL writefield_phy("aod550_terra",aod550_terra,1) 
-!       CALL writefield_phy("masque_aqua",float(masque_aqua),1)
-!       CALL writefield_phy("masque_terra",float(masque_terra),1)
-
-
-      IF (ok_histrac) THEN
-!      write in output file
-      call gather(aod550_aqua,aod550_aqua_glo)
-      call gather(aod550_terra,aod550_terra_glo)
-      call gather(aod670_aqua,aod670_aqua_glo)
-      call gather(aod670_terra,aod670_terra_glo)
-      call gather(aod865_aqua,aod865_aqua_glo)
-      call gather(aod865_terra,aod865_terra_glo)
-
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod550_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue550_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod550_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue550_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod670_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue670_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod670_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue670_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod865_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue865_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod865_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue865_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      ENDIF
-!$OMP END MASTER
-!$OMP BARRIER
-      ENDIF
-!       !put in 0 everything
-!       aod550_aqua(:) =0.
-!       aod550_terra(:) =0.
-!       aod670_aqua(:) =0.
-!       aod670_terra(:) =0.
-!       aod865_aqua(:) =0.
-!       aod865_terra(:) =0.
-!       masque_aqua(:) =0 
-!       masque_terra(:) =0 
-      ENDIF 
+
+!!AS deleting lines
+!!      IF (ok_histrac) THEN
+!!!!      write in output file
+!!----many deleted lines
+!!      ENDIF  !mpi_root
+!!!$OMP END MASTER
+!!!$OMP BARRIER
+!!      ENDIF  !--ok_histrac
+
+      ENDIF ! jH_cur...
 
 
@@ -4138,6 +3591,4 @@
 !  SAVING AEROSOL RELATED VARIABLES INTO FILE
 !======================================================================
-!
-!JE20141224      IF (ok_histrac) THEN
 !
       ndex2d = 0
@@ -4275,4 +3726,5 @@
          fluxss(i)=fluxssfine(i)+fluxsscoa(i)
       ENDDO
+
 !      prepare outputs cvltr
 
